# Get a list of rental rates for a rate card Endpoint: GET /rental-rates Version: 2.23 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `rentalRateCardId` (string, required) Filter by rental rate card - mandatory Example: "0" - `rentalProductName` (string) Filter by rental product name Example: "xyz | in:x,y | like:xyz" - `price` (string) Filter by price Example: "1 | in:1,2 | gt:1 | lt:1 | ge:1 | le:1" - `rentalRatePriceType` (string) Filter by rental rate price type Example: "xyz | in:x,y | like:xyz" - `rentalRateType` (string) Filter by rental rate type Example: "xyz | in:x,y | like:xyz" - `periodsInAdvance` (string) Filter by periods in advance Example: "xyz | in:x,y | like:xyz" - `showOnInvoice` (string) Filter by show on invoice flag Example: "true | false" - `rentalRateFrequency` (string) Filter by rental rate frequency Example: "xyz | in:x,y | like:xyz" - `startDate` (string) Filter by start date Example: "yyyy-MM-dd | lt:yyyy-MM-dd | gt:yyyy-MM-dd | gtn:yyyy-MM-dd" - `endDate` (string) Filter by end date Example: "yyyy-MM-dd | lt:yyyy-MM-dd | gt:yyyy-MM-dd | gtn:yyyy-MM-dd" ## Response 200 fields (application/json): - `id` (integer) Rental rate identifier Example: 1 - `rentalRateCardId` (integer) Rental rate card identifier - required when creating a new rental rate Example: 1 - `rentalProductName` (string) Display name of the rental product - `rentalProductId` (integer, required) Rental product identifier Example: 1 - `price` (number, required) Price - `rentalRateType` (string) Rental rate type. Required when rentalRatePriceType is RENTAL Enum: "ADVANCE", "ARREARS" - `rentalRatePriceType` (string, required) Rental price type - recurring rental or one off? Enum: "RENTAL", "ONEOFF" - `periodsInAdvance` (string) Number of periods in advance (i.e. Months) for rentals. Required when rentalRateType is ADVANCE Enum: "STANDARD", "ADVANCEDPLUSONEMONTH" - `rentalRateFrequency` (string, required) Frequency of rental. Required when rentalRatePriceType is RENTAL Enum: "DAILY", "WEEKLY", "MONTHLY", "YEARLY", "QUARTERLY", "SIXMONTHS", "TWENTYFOURMONTHS" - `startDate` (string, required) Start date - `endDate` (string) End date - `showOnInvoice` (boolean) Show on invoice? ## Response 400 fields ## Response 401 fields ## Response 403 fields